hledger-1.12.1: Command-line interface for the hledger accounting tool

Safe Haskell | None
Language | Haskell2010

Hledger.Cli.Commands.Activity

Description

Print a bar chart of posting activity per day, or other report interval.

Synopsis

- activitymode :: Mode RawOpts
- barchar :: Char
- activity :: CliOpts -> Journal -> IO ()
- showHistogram :: ReportOpts -> Query -> Journal -> String
- printDayWith :: (PrintfArg t1, PrintfType t2) => (t3 -> t1) -> (DateSpan, t3) -> t2
- countBar :: Foldable t => t a -> [Char]

# Documentation

activitymode :: Mode RawOpts Source #

barchar :: Char Source #

activity :: CliOpts -> Journal -> IO () Source #

Print a bar chart of number of postings per report interval.

showHistogram :: ReportOpts -> Query -> Journal -> String Source #

printDayWith :: (PrintfArg t1, PrintfType t2) => (t3 -> t1) -> (DateSpan, t3) -> t2 Source #

countBar :: Foldable t => t a -> [Char] Source #